
electronique_decompteur_002b_Main_Init:

;electronique_decompteur_002b.mpas,69 :: 		begin
;electronique_decompteur_002b.mpas,70 :: 		TRISA := %00100000;
	MOVLW      32
	MOVWF      TRISA+0
;electronique_decompteur_002b.mpas,71 :: 		TRISB := %01110000;
	MOVLW      112
	MOVWF      TRISB+0
;electronique_decompteur_002b.mpas,72 :: 		CMCON := 7;
	MOVLW      7
	MOVWF      CMCON+0
;electronique_decompteur_002b.mpas,73 :: 		OPTION_REG := $00;
	CLRF       OPTION_REG+0
;electronique_decompteur_002b.mpas,74 :: 		OPTION_REG.NOT_RBPU := 1;   // pullup off
	BSF        OPTION_REG+0, 7
;electronique_decompteur_002b.mpas,75 :: 		INTCON.GIE  := 1;  // enable global interrupt
	BSF        INTCON+0, 7
;electronique_decompteur_002b.mpas,76 :: 		INTCON.PEIE := 1;  // enable peripheral int (for timer 1)
	BSF        INTCON+0, 6
;electronique_decompteur_002b.mpas,77 :: 		PIE1.TMR1IE := 1;  // enable timer 1 interrupt
	BSF        PIE1+0, 0
;electronique_decompteur_002b.mpas,78 :: 		PIR1.TMR1IF := 0;
	BCF        PIR1+0, 0
;electronique_decompteur_002b.mpas,79 :: 		T1CON.T1CKPS1 := 0;  // bit 5 | Prescaler Rate Select bits
	BCF        T1CON+0, 5
;electronique_decompteur_002b.mpas,80 :: 		T1CON.T1CKPS0 := 1;  // bit 4 |
	BSF        T1CON+0, 4
;electronique_decompteur_002b.mpas,81 :: 		T1CON.T1OSCEN := 0;  // bit 3 - Timer1 Oscillator Enable Control: bit 1=on
	BCF        T1CON+0, 3
;electronique_decompteur_002b.mpas,82 :: 		T1CON.NOT_T1SYNC := 1;  // bit 2 - Timer1 External Clock Input Synchronization Control bit: 1=Do not synchronize external clock input
	BSF        T1CON+0, 2
;electronique_decompteur_002b.mpas,83 :: 		T1CON.TMR1CS := 0;  // bit 1 Timer1 Clock Source Select bit:0=Internal clock (FOSC/4) / 1 = External clock from pin T1CKI (on the rising edge)
	BCF        T1CON+0, 1
;electronique_decompteur_002b.mpas,84 :: 		T1CON.TMR1ON := 1;  // bit 0 enable timer 1
	BSF        T1CON+0, 0
;electronique_decompteur_002b.mpas,85 :: 		TMR1H := $3C;  // preset for timer1 MSB register
	MOVLW      60
	MOVWF      TMR1H+0
;electronique_decompteur_002b.mpas,86 :: 		TMR1L := $B0;  // preset for timer1 LSB register
	MOVLW      176
	MOVWF      TMR1L+0
;electronique_decompteur_002b.mpas,87 :: 		PORTA := %00010000;
	MOVLW      16
	MOVWF      PORTA+0
;electronique_decompteur_002b.mpas,88 :: 		PORTB := %01110000;
	MOVLW      112
	MOVWF      PORTB+0
;electronique_decompteur_002b.mpas,89 :: 		iT1Count := 1;
	MOVLW      1
	MOVWF      _iT1Count+0
;electronique_decompteur_002b.mpas,90 :: 		iSelIdx := 0;
	CLRF       _iSelIdx+0
;electronique_decompteur_002b.mpas,91 :: 		bSWStart := false;
	CLRF       _bSWStart+0
;electronique_decompteur_002b.mpas,92 :: 		bSWSelect := false;
	CLRF       _bSWSelect+0
;electronique_decompteur_002b.mpas,93 :: 		bSWInc := false;
	CLRF       _bSWInc+0
;electronique_decompteur_002b.mpas,94 :: 		bSWDec := false;
	CLRF       _bSWDec+0
;electronique_decompteur_002b.mpas,95 :: 		bTimerRunning := false;
	CLRF       _bTimerRunning+0
;electronique_decompteur_002b.mpas,96 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Main_Init

electronique_decompteur_002b_Output_SetActive:

;electronique_decompteur_002b.mpas,99 :: 		begin
;electronique_decompteur_002b.mpas,101 :: 		if bState = 0 then
	MOVF       FARG_Output_SetActive_bState+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Output_SetActive3
;electronique_decompteur_002b.mpas,102 :: 		Main_Out := 0
	BCF        PORTB+0, 7
	GOTO       L_electronique_decompteur_002b_Output_SetActive4
;electronique_decompteur_002b.mpas,104 :: 		else
L_electronique_decompteur_002b_Output_SetActive3:
;electronique_decompteur_002b.mpas,105 :: 		Main_Out := 1;
	BSF        PORTB+0, 7
L_electronique_decompteur_002b_Output_SetActive4:
;electronique_decompteur_002b.mpas,106 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Output_SetActive

electronique_decompteur_002b_Display_SetMode:

;electronique_decompteur_002b.mpas,109 :: 		begin
;electronique_decompteur_002b.mpas,112 :: 		iDispMode := Val;
	MOVF       FARG_Display_SetMode_Val+0, 0
	MOVWF      _iDispMode+0
;electronique_decompteur_002b.mpas,113 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Display_SetMode

electronique_decompteur_002b_Display_LoadMode:

;electronique_decompteur_002b.mpas,118 :: 		begin
;electronique_decompteur_002b.mpas,119 :: 		iValTmp := EEProm_Read(cEEPromAddrDispMode);
	MOVLW      5
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      Display_LoadMode_iValTmp+0
;electronique_decompteur_002b.mpas,120 :: 		if iValTmp < 2 then
	MOVLW      2
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_electronique_decompteur_002b_Display_LoadMode8
;electronique_decompteur_002b.mpas,121 :: 		iDispMode := iValTmp
	MOVF       Display_LoadMode_iValTmp+0, 0
	MOVWF      _iDispMode+0
	GOTO       L_electronique_decompteur_002b_Display_LoadMode9
;electronique_decompteur_002b.mpas,122 :: 		else
L_electronique_decompteur_002b_Display_LoadMode8:
;electronique_decompteur_002b.mpas,123 :: 		iDispMode := 0;
	CLRF       _iDispMode+0
L_electronique_decompteur_002b_Display_LoadMode9:
;electronique_decompteur_002b.mpas,124 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Display_LoadMode

electronique_decompteur_002b_Display_SaveMode:

;electronique_decompteur_002b.mpas,129 :: 		begin
;electronique_decompteur_002b.mpas,130 :: 		if iDispMode < 2 then
	MOVLW      2
	SUBWF      _iDispMode+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_electronique_decompteur_002b_Display_SaveMode12
;electronique_decompteur_002b.mpas,131 :: 		iValTmp := iDispMode
	MOVF       _iDispMode+0, 0
	MOVWF      Display_SaveMode_iValTmp+0
	GOTO       L_electronique_decompteur_002b_Display_SaveMode13
;electronique_decompteur_002b.mpas,132 :: 		else
L_electronique_decompteur_002b_Display_SaveMode12:
;electronique_decompteur_002b.mpas,133 :: 		iValTmp := 0;
	CLRF       Display_SaveMode_iValTmp+0
L_electronique_decompteur_002b_Display_SaveMode13:
;electronique_decompteur_002b.mpas,134 :: 		EEProm_Write(cEEPromAddrDispMode, iValTmp);
	MOVLW      5
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       Display_SaveMode_iValTmp+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;electronique_decompteur_002b.mpas,135 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Display_SaveMode

electronique_decompteur_002b_Display_Refresh_Seg:

;electronique_decompteur_002b.mpas,141 :: 		begin
;electronique_decompteur_002b.mpas,144 :: 		$00 : ValTmp := %10000000;
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg18
	MOVLW      128
	MOVWF      R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg18:
;electronique_decompteur_002b.mpas,145 :: 		$01 : ValTmp := %11011001;
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg21
	MOVLW      217
	MOVWF      R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg21:
;electronique_decompteur_002b.mpas,146 :: 		$02 : ValTmp := %01000100;
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg24
	MOVLW      68
	MOVWF      R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg24:
;electronique_decompteur_002b.mpas,147 :: 		$03 : ValTmp := %01010000;
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg27
	MOVLW      80
	MOVWF      R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg27:
;electronique_decompteur_002b.mpas,148 :: 		$04 : ValTmp := %00011001;
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg30
	MOVLW      25
	MOVWF      R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg30:
;electronique_decompteur_002b.mpas,149 :: 		$05 : ValTmp := %00010010;
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg33
	MOVLW      18
	MOVWF      R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg33:
;electronique_decompteur_002b.mpas,150 :: 		$06 : ValTmp := %00000010;
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg36
	MOVLW      2
	MOVWF      R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg36:
;electronique_decompteur_002b.mpas,151 :: 		$07 : ValTmp := %11011000;
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg39
	MOVLW      216
	MOVWF      R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg39:
;electronique_decompteur_002b.mpas,152 :: 		$08 : ValTmp := %00000000;
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg42
	CLRF       R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg42:
;electronique_decompteur_002b.mpas,153 :: 		$09 : ValTmp := %00010000;
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg45
	MOVLW      16
	MOVWF      R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg45:
;electronique_decompteur_002b.mpas,154 :: 		$0A : ValTmp := %01011111;   // "-"
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      10
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg48
	MOVLW      95
	MOVWF      R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg48:
;electronique_decompteur_002b.mpas,155 :: 		$0B : ValTmp := %00001001;   // "H"
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      11
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg51
	MOVLW      9
	MOVWF      R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg51:
;electronique_decompteur_002b.mpas,156 :: 		$0C : ValTmp := %10001000;   // "M"
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      12
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg54
	MOVLW      136
	MOVWF      R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg54:
;electronique_decompteur_002b.mpas,157 :: 		$0D : ValTmp := %00010010;   // "S"
	MOVF       FARG_Display_Refresh_Seg_val+0, 0
	XORLW      13
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg57
	MOVLW      18
	MOVWF      R1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg15
L_electronique_decompteur_002b_Display_Refresh_Seg57:
L_electronique_decompteur_002b_Display_Refresh_Seg15:
;electronique_decompteur_002b.mpas,159 :: 		Disp_A := ValTmp.0;
	BTFSC      R1+0, 0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg286
	BCF        PORTA+0, 0
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg287
L_electronique_decompteur_002b_Display_Refresh_Seg286:
	BSF        PORTA+0, 0
L_electronique_decompteur_002b_Display_Refresh_Seg287:
;electronique_decompteur_002b.mpas,160 :: 		Disp_B := ValTmp.1;
	BTFSC      R1+0, 1
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg288
	BCF        PORTA+0, 1
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg289
L_electronique_decompteur_002b_Display_Refresh_Seg288:
	BSF        PORTA+0, 1
L_electronique_decompteur_002b_Display_Refresh_Seg289:
;electronique_decompteur_002b.mpas,161 :: 		Disp_C := ValTmp.2;
	BTFSC      R1+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg290
	BCF        PORTA+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg291
L_electronique_decompteur_002b_Display_Refresh_Seg290:
	BSF        PORTA+0, 2
L_electronique_decompteur_002b_Display_Refresh_Seg291:
;electronique_decompteur_002b.mpas,162 :: 		Disp_D := ValTmp.3;
	BTFSC      R1+0, 3
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg292
	BCF        PORTA+0, 3
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg293
L_electronique_decompteur_002b_Display_Refresh_Seg292:
	BSF        PORTA+0, 3
L_electronique_decompteur_002b_Display_Refresh_Seg293:
;electronique_decompteur_002b.mpas,163 :: 		Disp_E := ValTmp.4;
	BTFSC      R1+0, 4
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg294
	BCF        PORTA+0, 4
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg295
L_electronique_decompteur_002b_Display_Refresh_Seg294:
	BSF        PORTA+0, 4
L_electronique_decompteur_002b_Display_Refresh_Seg295:
;electronique_decompteur_002b.mpas,164 :: 		Disp_F := ValTmp.6;
	BTFSC      R1+0, 6
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg296
	BCF        PORTA+0, 6
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg297
L_electronique_decompteur_002b_Display_Refresh_Seg296:
	BSF        PORTA+0, 6
L_electronique_decompteur_002b_Display_Refresh_Seg297:
;electronique_decompteur_002b.mpas,165 :: 		Disp_G := ValTmp.7;
	BTFSC      R1+0, 7
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg298
	BCF        PORTA+0, 7
	GOTO       L_electronique_decompteur_002b_Display_Refresh_Seg299
L_electronique_decompteur_002b_Display_Refresh_Seg298:
	BSF        PORTA+0, 7
L_electronique_decompteur_002b_Display_Refresh_Seg299:
;electronique_decompteur_002b.mpas,166 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Display_Refresh_Seg

electronique_decompteur_002b_Display_DoDelay:

;electronique_decompteur_002b.mpas,169 :: 		begin
;electronique_decompteur_002b.mpas,170 :: 		Delay_ms(1);
	MOVLW      2
	MOVWF      R12+0
	MOVLW      75
	MOVWF      R13+0
L_electronique_decompteur_002b_Display_DoDelay59:
	DECFSZ     R13+0, 1
	GOTO       L_electronique_decompteur_002b_Display_DoDelay59
	DECFSZ     R12+0, 1
	GOTO       L_electronique_decompteur_002b_Display_DoDelay59
;electronique_decompteur_002b.mpas,171 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Display_DoDelay

electronique_decompteur_002b_Display_Refresh:

;electronique_decompteur_002b.mpas,177 :: 		begin
;electronique_decompteur_002b.mpas,190 :: 		cIdxSelNormal : begin
	MOVF       _iSelIdx+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh64
;electronique_decompteur_002b.mpas,191 :: 		if iDispMode = 0 then  // show minutes and secondes
	MOVF       _iDispMode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh66
;electronique_decompteur_002b.mpas,193 :: 		i4 := iMin div 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iMin+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i4+0
;electronique_decompteur_002b.mpas,194 :: 		i3 := iMin mod 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iMin+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i3+0
;electronique_decompteur_002b.mpas,195 :: 		i2 := iSec div 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iSec+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i2+0
;electronique_decompteur_002b.mpas,196 :: 		i1 := iSec mod 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iSec+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i1+0
;electronique_decompteur_002b.mpas,197 :: 		end
	GOTO       L_electronique_decompteur_002b_Display_Refresh67
;electronique_decompteur_002b.mpas,198 :: 		else if iDispMode = 1 then  // show hours and minutes
L_electronique_decompteur_002b_Display_Refresh66:
	MOVF       _iDispMode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh69
;electronique_decompteur_002b.mpas,200 :: 		i4 := iHour div 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iHour+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i4+0
;electronique_decompteur_002b.mpas,201 :: 		i3 := iHour mod 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iHour+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i3+0
;electronique_decompteur_002b.mpas,202 :: 		i2 := iMin div 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iMin+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i2+0
;electronique_decompteur_002b.mpas,203 :: 		i1 := iMin mod 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iMin+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i1+0
;electronique_decompteur_002b.mpas,204 :: 		end;
L_electronique_decompteur_002b_Display_Refresh69:
L_electronique_decompteur_002b_Display_Refresh67:
;electronique_decompteur_002b.mpas,205 :: 		end;
	GOTO       L_electronique_decompteur_002b_Display_Refresh61
L_electronique_decompteur_002b_Display_Refresh64:
;electronique_decompteur_002b.mpas,208 :: 		cIdxSelDispMode : begin
	MOVF       _iSelIdx+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh73
;electronique_decompteur_002b.mpas,209 :: 		i4 := $01;  // "1"
	MOVLW      1
	MOVWF      Display_Refresh_i4+0
;electronique_decompteur_002b.mpas,210 :: 		i3 := $0A;  // "-"
	MOVLW      10
	MOVWF      Display_Refresh_i3+0
;electronique_decompteur_002b.mpas,211 :: 		if iDispMode = 0 then  // Disp mode is MMSS
	MOVF       _iDispMode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh75
;electronique_decompteur_002b.mpas,213 :: 		i2 := $0C;  // "M"
	MOVLW      12
	MOVWF      Display_Refresh_i2+0
;electronique_decompteur_002b.mpas,214 :: 		i1 := $0D;  // "S"
	MOVLW      13
	MOVWF      Display_Refresh_i1+0
;electronique_decompteur_002b.mpas,215 :: 		end
	GOTO       L_electronique_decompteur_002b_Display_Refresh76
;electronique_decompteur_002b.mpas,216 :: 		else if iDispMode = 1 then  // Disp mode is HHMM
L_electronique_decompteur_002b_Display_Refresh75:
	MOVF       _iDispMode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh78
;electronique_decompteur_002b.mpas,218 :: 		i2 := $0B;  // "H"
	MOVLW      11
	MOVWF      Display_Refresh_i2+0
;electronique_decompteur_002b.mpas,219 :: 		i1 := $0C;  // "M"
	MOVLW      12
	MOVWF      Display_Refresh_i1+0
;electronique_decompteur_002b.mpas,220 :: 		end;
L_electronique_decompteur_002b_Display_Refresh78:
L_electronique_decompteur_002b_Display_Refresh76:
;electronique_decompteur_002b.mpas,221 :: 		end;
	GOTO       L_electronique_decompteur_002b_Display_Refresh61
L_electronique_decompteur_002b_Display_Refresh73:
;electronique_decompteur_002b.mpas,224 :: 		cIdxSelOutMode : begin
	MOVF       _iSelIdx+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh82
;electronique_decompteur_002b.mpas,225 :: 		i4 := $02;  // "2"
	MOVLW      2
	MOVWF      Display_Refresh_i4+0
;electronique_decompteur_002b.mpas,226 :: 		i3 := $0A;  // "-"
	MOVLW      10
	MOVWF      Display_Refresh_i3+0
;electronique_decompteur_002b.mpas,227 :: 		i2 := $0A;  // "-"
	MOVLW      10
	MOVWF      Display_Refresh_i2+0
;electronique_decompteur_002b.mpas,228 :: 		if iOutMode = 0 then  // Disp mode is MMSS
	MOVF       _iOutMode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh84
;electronique_decompteur_002b.mpas,229 :: 		i1 := $00  // "0"
	CLRF       Display_Refresh_i1+0
	GOTO       L_electronique_decompteur_002b_Display_Refresh85
;electronique_decompteur_002b.mpas,230 :: 		else if iOutMode = 1 then  // Disp mode is HHMM
L_electronique_decompteur_002b_Display_Refresh84:
	MOVF       _iOutMode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh87
;electronique_decompteur_002b.mpas,231 :: 		i1 := $01;  // "1"
	MOVLW      1
	MOVWF      Display_Refresh_i1+0
L_electronique_decompteur_002b_Display_Refresh87:
L_electronique_decompteur_002b_Display_Refresh85:
;electronique_decompteur_002b.mpas,232 :: 		end;
	GOTO       L_electronique_decompteur_002b_Display_Refresh61
L_electronique_decompteur_002b_Display_Refresh82:
;electronique_decompteur_002b.mpas,235 :: 		cIdxSelHour : begin
	MOVF       _iSelIdx+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh91
;electronique_decompteur_002b.mpas,236 :: 		i4 := $03;  // "3"
	MOVLW      3
	MOVWF      Display_Refresh_i4+0
;electronique_decompteur_002b.mpas,237 :: 		i3 := $0A;  // "-"
	MOVLW      10
	MOVWF      Display_Refresh_i3+0
;electronique_decompteur_002b.mpas,238 :: 		i2 := iHour div 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iHour+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i2+0
;electronique_decompteur_002b.mpas,239 :: 		i1 := iHour mod 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iHour+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i1+0
;electronique_decompteur_002b.mpas,240 :: 		end;
	GOTO       L_electronique_decompteur_002b_Display_Refresh61
L_electronique_decompteur_002b_Display_Refresh91:
;electronique_decompteur_002b.mpas,243 :: 		cIdxSelMin : begin
	MOVF       _iSelIdx+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh94
;electronique_decompteur_002b.mpas,244 :: 		i4 := $04;  // "4"
	MOVLW      4
	MOVWF      Display_Refresh_i4+0
;electronique_decompteur_002b.mpas,245 :: 		i3 := $0A;  // "-"
	MOVLW      10
	MOVWF      Display_Refresh_i3+0
;electronique_decompteur_002b.mpas,246 :: 		i2 := iMin div 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iMin+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i2+0
;electronique_decompteur_002b.mpas,247 :: 		i1 := iMin mod 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iMin+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i1+0
;electronique_decompteur_002b.mpas,248 :: 		end;
	GOTO       L_electronique_decompteur_002b_Display_Refresh61
L_electronique_decompteur_002b_Display_Refresh94:
;electronique_decompteur_002b.mpas,251 :: 		cIdxSelSec : begin
	MOVF       _iSelIdx+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Display_Refresh97
;electronique_decompteur_002b.mpas,252 :: 		i4 := $05;  // "5"
	MOVLW      5
	MOVWF      Display_Refresh_i4+0
;electronique_decompteur_002b.mpas,253 :: 		i3 := $0A;  // "-"
	MOVLW      10
	MOVWF      Display_Refresh_i3+0
;electronique_decompteur_002b.mpas,254 :: 		i2 := iSec div 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iSec+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i2+0
;electronique_decompteur_002b.mpas,255 :: 		i1 := iSec mod 10;
	MOVLW      10
	MOVWF      R4+0
	MOVF       _iSec+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R0+0, 0
	MOVWF      Display_Refresh_i1+0
;electronique_decompteur_002b.mpas,256 :: 		end;
	GOTO       L_electronique_decompteur_002b_Display_Refresh61
L_electronique_decompteur_002b_Display_Refresh97:
L_electronique_decompteur_002b_Display_Refresh61:
;electronique_decompteur_002b.mpas,270 :: 		Disp_1 := 1; Disp_2 := 0; Disp_3 := 0; Disp_4 := 0;
	BSF        PORTB+0, 0
	BCF        PORTB+0, 1
	BCF        PORTB+0, 2
	BCF        PORTB+0, 3
;electronique_decompteur_002b.mpas,271 :: 		Display_Refresh_Seg(i1);
	MOVF       Display_Refresh_i1+0, 0
	MOVWF      FARG_Display_Refresh_Seg_val+0
	CALL       electronique_decompteur_002b_Display_Refresh_Seg+0
;electronique_decompteur_002b.mpas,272 :: 		Display_DoDelay;
	CALL       electronique_decompteur_002b_Display_DoDelay+0
;electronique_decompteur_002b.mpas,274 :: 		Disp_1 := 0; Disp_2 := 1; Disp_3 := 0; Disp_4 := 0;
	BCF        PORTB+0, 0
	BSF        PORTB+0, 1
	BCF        PORTB+0, 2
	BCF        PORTB+0, 3
;electronique_decompteur_002b.mpas,275 :: 		Display_Refresh_Seg(i2);
	MOVF       Display_Refresh_i2+0, 0
	MOVWF      FARG_Display_Refresh_Seg_val+0
	CALL       electronique_decompteur_002b_Display_Refresh_Seg+0
;electronique_decompteur_002b.mpas,276 :: 		Display_DoDelay;
	CALL       electronique_decompteur_002b_Display_DoDelay+0
;electronique_decompteur_002b.mpas,278 :: 		Disp_1 := 0; Disp_2 := 0; Disp_3 := 1; Disp_4 := 0;
	BCF        PORTB+0, 0
	BCF        PORTB+0, 1
	BSF        PORTB+0, 2
	BCF        PORTB+0, 3
;electronique_decompteur_002b.mpas,279 :: 		Display_Refresh_Seg(i3);
	MOVF       Display_Refresh_i3+0, 0
	MOVWF      FARG_Display_Refresh_Seg_val+0
	CALL       electronique_decompteur_002b_Display_Refresh_Seg+0
;electronique_decompteur_002b.mpas,280 :: 		Display_DoDelay;
	CALL       electronique_decompteur_002b_Display_DoDelay+0
;electronique_decompteur_002b.mpas,282 :: 		Disp_1 := 0; Disp_2 := 0; Disp_3 := 0; Disp_4 := 1;
	BCF        PORTB+0, 0
	BCF        PORTB+0, 1
	BCF        PORTB+0, 2
	BSF        PORTB+0, 3
;electronique_decompteur_002b.mpas,283 :: 		Display_Refresh_Seg(i4);
	MOVF       Display_Refresh_i4+0, 0
	MOVWF      FARG_Display_Refresh_Seg_val+0
	CALL       electronique_decompteur_002b_Display_Refresh_Seg+0
;electronique_decompteur_002b.mpas,284 :: 		Display_DoDelay;
	CALL       electronique_decompteur_002b_Display_DoDelay+0
;electronique_decompteur_002b.mpas,285 :: 		Disp_1 := 0; Disp_2 := 0; Disp_3 := 0; Disp_4 := 0;
	BCF        PORTB+0, 0
	BCF        PORTB+0, 1
	BCF        PORTB+0, 2
	BCF        PORTB+0, 3
;electronique_decompteur_002b.mpas,287 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Display_Refresh

electronique_decompteur_002b_Timer_LoadValue:

;electronique_decompteur_002b.mpas,293 :: 		begin
;electronique_decompteur_002b.mpas,294 :: 		iSecTmp := EEProm_Read(cEEPromAddrTimerSec);
	MOVLW      3
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      Timer_LoadValue_iSecTmp+0
;electronique_decompteur_002b.mpas,295 :: 		iMinTmp := EEProm_Read(cEEPromAddrTimerMin);
	MOVLW      2
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      Timer_LoadValue_iMinTmp+0
;electronique_decompteur_002b.mpas,296 :: 		iHourTmp := EEProm_Read(cEEPromAddrTimerHour);
	MOVLW      1
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      Timer_LoadValue_iHourTmp+0
;electronique_decompteur_002b.mpas,297 :: 		bFirstStart := ((iSecTmp = $FF) and (iMinTmp = $FF) and (iHourTmp = $FF));
	MOVF       Timer_LoadValue_iSecTmp+0, 0
	XORLW      255
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      Timer_LoadValue_bFirstStart+0
	MOVF       Timer_LoadValue_iMinTmp+0, 0
	XORLW      255
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	ANDWF      Timer_LoadValue_bFirstStart+0, 1
	MOVF       R0+0, 0
	XORLW      255
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	ANDWF      Timer_LoadValue_bFirstStart+0, 1
;electronique_decompteur_002b.mpas,298 :: 		if iSecTmp <= 59 then
	MOVF       Timer_LoadValue_iSecTmp+0, 0
	SUBLW      59
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_decompteur_002b_Timer_LoadValue100
;electronique_decompteur_002b.mpas,299 :: 		iSec := iSecTmp
	MOVF       Timer_LoadValue_iSecTmp+0, 0
	MOVWF      _iSec+0
	GOTO       L_electronique_decompteur_002b_Timer_LoadValue101
;electronique_decompteur_002b.mpas,300 :: 		else
L_electronique_decompteur_002b_Timer_LoadValue100:
;electronique_decompteur_002b.mpas,301 :: 		iSec := 00;
	CLRF       _iSec+0
L_electronique_decompteur_002b_Timer_LoadValue101:
;electronique_decompteur_002b.mpas,302 :: 		if iMinTmp <= 59 then
	MOVF       Timer_LoadValue_iMinTmp+0, 0
	SUBLW      59
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_decompteur_002b_Timer_LoadValue103
;electronique_decompteur_002b.mpas,303 :: 		iMin := iMinTmp
	MOVF       Timer_LoadValue_iMinTmp+0, 0
	MOVWF      _iMin+0
	GOTO       L_electronique_decompteur_002b_Timer_LoadValue104
;electronique_decompteur_002b.mpas,304 :: 		else
L_electronique_decompteur_002b_Timer_LoadValue103:
;electronique_decompteur_002b.mpas,306 :: 		if bFirstStart then
	MOVF       Timer_LoadValue_bFirstStart+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Timer_LoadValue106
;electronique_decompteur_002b.mpas,307 :: 		iMin := 03
	MOVLW      3
	MOVWF      _iMin+0
	GOTO       L_electronique_decompteur_002b_Timer_LoadValue107
;electronique_decompteur_002b.mpas,308 :: 		else
L_electronique_decompteur_002b_Timer_LoadValue106:
;electronique_decompteur_002b.mpas,309 :: 		iMin := 00;
	CLRF       _iMin+0
L_electronique_decompteur_002b_Timer_LoadValue107:
;electronique_decompteur_002b.mpas,310 :: 		end;
L_electronique_decompteur_002b_Timer_LoadValue104:
;electronique_decompteur_002b.mpas,311 :: 		if iHourTmp <= 99 then
	MOVF       Timer_LoadValue_iHourTmp+0, 0
	SUBLW      99
	BTFSS      STATUS+0, 0
	GOTO       L_electronique_decompteur_002b_Timer_LoadValue109
;electronique_decompteur_002b.mpas,312 :: 		iHour := iHourTmp
	MOVF       Timer_LoadValue_iHourTmp+0, 0
	MOVWF      _iHour+0
	GOTO       L_electronique_decompteur_002b_Timer_LoadValue110
;electronique_decompteur_002b.mpas,313 :: 		else
L_electronique_decompteur_002b_Timer_LoadValue109:
;electronique_decompteur_002b.mpas,314 :: 		iHour := 00;
	CLRF       _iHour+0
L_electronique_decompteur_002b_Timer_LoadValue110:
;electronique_decompteur_002b.mpas,315 :: 		bTimerReloaded := true;
	MOVLW      255
	MOVWF      _bTimerReloaded+0
;electronique_decompteur_002b.mpas,316 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Timer_LoadValue

electronique_decompteur_002b_Timer_SaveValue:

;electronique_decompteur_002b.mpas,321 :: 		begin
;electronique_decompteur_002b.mpas,323 :: 		iSecTmp := EEProm_Read(cEEPromAddrTimerSec);
	MOVLW      3
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      Timer_SaveValue_iSecTmp+0
;electronique_decompteur_002b.mpas,324 :: 		iMinTmp := EEProm_Read(cEEPromAddrTimerMin);
	MOVLW      2
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      Timer_SaveValue_iMinTmp+0
;electronique_decompteur_002b.mpas,325 :: 		iHourTmp := EEProm_Read(cEEPromAddrTimerHour);
	MOVLW      1
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      Timer_SaveValue_iHourTmp+0
;electronique_decompteur_002b.mpas,326 :: 		if (iSec <> iSecTmp) and (iSec <= 59) then
	MOVF       _iSec+0, 0
	XORWF      Timer_SaveValue_iSecTmp+0, 0
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iSec+0, 0
	SUBLW      59
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Timer_SaveValue113
;electronique_decompteur_002b.mpas,327 :: 		EEProm_Write(cEEPromAddrTimerSec, iSec);
	MOVLW      3
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       _iSec+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
L_electronique_decompteur_002b_Timer_SaveValue113:
;electronique_decompteur_002b.mpas,328 :: 		if (iMin <> iMinTmp) and (iMin <= 59) then
	MOVF       _iMin+0, 0
	XORWF      Timer_SaveValue_iMinTmp+0, 0
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iMin+0, 0
	SUBLW      59
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Timer_SaveValue116
;electronique_decompteur_002b.mpas,329 :: 		EEProm_Write(cEEPromAddrTimerMin, iMin);
	MOVLW      2
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       _iMin+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
L_electronique_decompteur_002b_Timer_SaveValue116:
;electronique_decompteur_002b.mpas,330 :: 		if (iHour <> iHourTmp) and (iHour <= 99) then
	MOVF       _iHour+0, 0
	XORWF      Timer_SaveValue_iHourTmp+0, 0
	MOVLW      255
	BTFSC      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _iHour+0, 0
	SUBLW      99
	MOVLW      255
	BTFSS      STATUS+0, 0
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Timer_SaveValue119
;electronique_decompteur_002b.mpas,331 :: 		EEProm_Write(cEEPromAddrTimerHour, iHour);
	MOVLW      1
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       _iHour+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
L_electronique_decompteur_002b_Timer_SaveValue119:
;electronique_decompteur_002b.mpas,332 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Timer_SaveValue

electronique_decompteur_002b_Timer_Reload:

;electronique_decompteur_002b.mpas,335 :: 		begin
;electronique_decompteur_002b.mpas,336 :: 		Timer_LoadValue;
	CALL       electronique_decompteur_002b_Timer_LoadValue+0
;electronique_decompteur_002b.mpas,337 :: 		Display_Refresh;
	CALL       electronique_decompteur_002b_Display_Refresh+0
;electronique_decompteur_002b.mpas,338 :: 		Output_SetActive(false);
	CLRF       FARG_Output_SetActive_bState+0
	CALL       electronique_decompteur_002b_Output_SetActive+0
;electronique_decompteur_002b.mpas,339 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Timer_Reload

electronique_decompteur_002b_Timer_Start:

;electronique_decompteur_002b.mpas,342 :: 		begin
;electronique_decompteur_002b.mpas,344 :: 		0 : Output_SetActive(false);
	MOVF       _iOutMode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Timer_Start126
	CLRF       FARG_Output_SetActive_bState+0
	CALL       electronique_decompteur_002b_Output_SetActive+0
	GOTO       L_electronique_decompteur_002b_Timer_Start123
L_electronique_decompteur_002b_Timer_Start126:
;electronique_decompteur_002b.mpas,345 :: 		1 : Output_SetActive(true);
	MOVF       _iOutMode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Timer_Start129
	MOVLW      255
	MOVWF      FARG_Output_SetActive_bState+0
	CALL       electronique_decompteur_002b_Output_SetActive+0
	GOTO       L_electronique_decompteur_002b_Timer_Start123
L_electronique_decompteur_002b_Timer_Start129:
L_electronique_decompteur_002b_Timer_Start123:
;electronique_decompteur_002b.mpas,347 :: 		TMR1H := $3C;  // preset for timer1 MSB register
	MOVLW      60
	MOVWF      TMR1H+0
;electronique_decompteur_002b.mpas,348 :: 		TMR1L := $B0;  // preset for timer1 LSB register
	MOVLW      176
	MOVWF      TMR1L+0
;electronique_decompteur_002b.mpas,349 :: 		ClearBit(PIR1, TMR1IF);
	BCF        PIR1+0, 0
;electronique_decompteur_002b.mpas,350 :: 		bT1IntOccured := false;
	CLRF       _bT1IntOccured+0
;electronique_decompteur_002b.mpas,351 :: 		bTimerRunning := true;
	MOVLW      255
	MOVWF      _bTimerRunning+0
;electronique_decompteur_002b.mpas,352 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Timer_Start

electronique_decompteur_002b_Timer_Stop:

;electronique_decompteur_002b.mpas,355 :: 		begin
;electronique_decompteur_002b.mpas,357 :: 		0 : Output_SetActive(true);
	MOVF       _iOutMode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Timer_Stop134
	MOVLW      255
	MOVWF      FARG_Output_SetActive_bState+0
	CALL       electronique_decompteur_002b_Output_SetActive+0
	GOTO       L_electronique_decompteur_002b_Timer_Stop131
L_electronique_decompteur_002b_Timer_Stop134:
;electronique_decompteur_002b.mpas,358 :: 		1 : Output_SetActive(false);
	MOVF       _iOutMode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Timer_Stop137
	CLRF       FARG_Output_SetActive_bState+0
	CALL       electronique_decompteur_002b_Output_SetActive+0
	GOTO       L_electronique_decompteur_002b_Timer_Stop131
L_electronique_decompteur_002b_Timer_Stop137:
L_electronique_decompteur_002b_Timer_Stop131:
;electronique_decompteur_002b.mpas,360 :: 		bTimerRunning := false;
	CLRF       _bTimerRunning+0
;electronique_decompteur_002b.mpas,361 :: 		bTimerReloaded := false;
	CLRF       _bTimerReloaded+0
;electronique_decompteur_002b.mpas,362 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Timer_Stop

electronique_decompteur_002b_Timer_Dec:

;electronique_decompteur_002b.mpas,365 :: 		begin
;electronique_decompteur_002b.mpas,366 :: 		if iDispMode = 0 then        // display mode MM:SS
	MOVF       _iDispMode+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Timer_Dec140
;electronique_decompteur_002b.mpas,367 :: 		iFull := iMin + iSec
	MOVF       _iSec+0, 0
	ADDWF      _iMin+0, 0
	MOVWF      _iFull+0
	GOTO       L_electronique_decompteur_002b_Timer_Dec141
;electronique_decompteur_002b.mpas,368 :: 		else if iDispMode = 1 then   // display mode HH:MM
L_electronique_decompteur_002b_Timer_Dec140:
	MOVF       _iDispMode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Timer_Dec143
;electronique_decompteur_002b.mpas,369 :: 		iFull := iHour + iMin + iSec;
	MOVF       _iMin+0, 0
	ADDWF      _iHour+0, 0
	MOVWF      _iFull+0
	MOVF       _iSec+0, 0
	ADDWF      _iFull+0, 1
L_electronique_decompteur_002b_Timer_Dec143:
L_electronique_decompteur_002b_Timer_Dec141:
;electronique_decompteur_002b.mpas,372 :: 		if iFull = 0 then
	MOVF       _iFull+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Timer_Dec146
;electronique_decompteur_002b.mpas,374 :: 		Timer_Stop;
	CALL       electronique_decompteur_002b_Timer_Stop+0
;electronique_decompteur_002b.mpas,375 :: 		exit;
	GOTO       L_end_electronique_decompteur_002b_Timer_Dec
;electronique_decompteur_002b.mpas,379 :: 		else
L_electronique_decompteur_002b_Timer_Dec146:
;electronique_decompteur_002b.mpas,381 :: 		if iSec > 0 then
	MOVF       _iSec+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_electronique_decompteur_002b_Timer_Dec149
;electronique_decompteur_002b.mpas,383 :: 		dec(iSec)
	DECF       _iSec+0, 1
;electronique_decompteur_002b.mpas,384 :: 		end
	GOTO       L_electronique_decompteur_002b_Timer_Dec150
;electronique_decompteur_002b.mpas,385 :: 		else
L_electronique_decompteur_002b_Timer_Dec149:
;electronique_decompteur_002b.mpas,387 :: 		iSec := 59;
	MOVLW      59
	MOVWF      _iSec+0
;electronique_decompteur_002b.mpas,388 :: 		if iMin > 0 then
	MOVF       _iMin+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_electronique_decompteur_002b_Timer_Dec152
;electronique_decompteur_002b.mpas,390 :: 		dec(iMin)
	DECF       _iMin+0, 1
;electronique_decompteur_002b.mpas,391 :: 		end
	GOTO       L_electronique_decompteur_002b_Timer_Dec153
;electronique_decompteur_002b.mpas,392 :: 		else
L_electronique_decompteur_002b_Timer_Dec152:
;electronique_decompteur_002b.mpas,394 :: 		iMin := 59;
	MOVLW      59
	MOVWF      _iMin+0
;electronique_decompteur_002b.mpas,395 :: 		if iHour > 0 then
	MOVF       _iHour+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_electronique_decompteur_002b_Timer_Dec155
;electronique_decompteur_002b.mpas,396 :: 		dec(iHour)
	DECF       _iHour+0, 1
L_electronique_decompteur_002b_Timer_Dec155:
;electronique_decompteur_002b.mpas,397 :: 		end;
L_electronique_decompteur_002b_Timer_Dec153:
;electronique_decompteur_002b.mpas,398 :: 		end;
L_electronique_decompteur_002b_Timer_Dec150:
;electronique_decompteur_002b.mpas,400 :: 		end;
L_end_electronique_decompteur_002b_Timer_Dec:
	RETURN
; end of electronique_decompteur_002b_Timer_Dec

electronique_decompteur_002b_Interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_decompteur_002b.mpas,403 :: 		begin
;electronique_decompteur_002b.mpas,404 :: 		if TestBit(PIR1, TMR1IF) then
	CLRF       R0+0
	BTFSS      PIR1+0, 0
	GOTO       L_electronique_decompteur_002b_Interrupt161
	MOVLW      1
	MOVWF      R0+0
L_electronique_decompteur_002b_Interrupt161:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_electronique_decompteur_002b_Interrupt159
;electronique_decompteur_002b.mpas,406 :: 		if iT1Count < 10 then
	MOVLW      10
	SUBWF      _iT1Count+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_electronique_decompteur_002b_Interrupt163
;electronique_decompteur_002b.mpas,407 :: 		inc(iT1Count)
	INCF       _iT1Count+0, 1
	GOTO       L_electronique_decompteur_002b_Interrupt164
;electronique_decompteur_002b.mpas,408 :: 		else
L_electronique_decompteur_002b_Interrupt163:
;electronique_decompteur_002b.mpas,410 :: 		bT1IntOccured := true;
	MOVLW      255
	MOVWF      _bT1IntOccured+0
;electronique_decompteur_002b.mpas,411 :: 		iT1Count := 1;
	MOVLW      1
	MOVWF      _iT1Count+0
;electronique_decompteur_002b.mpas,412 :: 		end;
L_electronique_decompteur_002b_Interrupt164:
;electronique_decompteur_002b.mpas,413 :: 		TMR1H := $3C;  // preset for timer1 MSB register
	MOVLW      60
	MOVWF      TMR1H+0
;electronique_decompteur_002b.mpas,414 :: 		TMR1L := $B0;  // preset for timer1 LSB register
	MOVLW      176
	MOVWF      TMR1L+0
;electronique_decompteur_002b.mpas,419 :: 		ClearBit(PIR1, TMR1IF);
	BCF        PIR1+0, 0
;electronique_decompteur_002b.mpas,420 :: 		end;
L_electronique_decompteur_002b_Interrupt159:
;electronique_decompteur_002b.mpas,428 :: 		end;
L_electronique_decompteur_002b_Interrupt300:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of electronique_decompteur_002b_Interrupt

electronique_decompteur_002b_Output_SetMode:

;electronique_decompteur_002b.mpas,431 :: 		begin
;electronique_decompteur_002b.mpas,434 :: 		iOutMode := Val;
	MOVF       FARG_Output_SetMode_Val+0, 0
	MOVWF      _iOutMode+0
;electronique_decompteur_002b.mpas,435 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Output_SetMode

electronique_decompteur_002b_Output_LoadMode:

;electronique_decompteur_002b.mpas,440 :: 		begin
;electronique_decompteur_002b.mpas,441 :: 		iValTmp := EEProm_Read(cEEPromAddrOutMode);
	MOVLW      4
	MOVWF      FARG_EEPROM_Read_address+0
	CALL       _EEPROM_Read+0
	MOVF       R0+0, 0
	MOVWF      Output_LoadMode_iValTmp+0
;electronique_decompteur_002b.mpas,442 :: 		if iValTmp < 2 then
	MOVLW      2
	SUBWF      R0+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_electronique_decompteur_002b_Output_LoadMode168
;electronique_decompteur_002b.mpas,443 :: 		iOutMode := iValTmp
	MOVF       Output_LoadMode_iValTmp+0, 0
	MOVWF      _iOutMode+0
	GOTO       L_electronique_decompteur_002b_Output_LoadMode169
;electronique_decompteur_002b.mpas,444 :: 		else
L_electronique_decompteur_002b_Output_LoadMode168:
;electronique_decompteur_002b.mpas,445 :: 		iOutMode := 0;
	CLRF       _iOutMode+0
L_electronique_decompteur_002b_Output_LoadMode169:
;electronique_decompteur_002b.mpas,446 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Output_LoadMode

electronique_decompteur_002b_Output_SaveMode:

;electronique_decompteur_002b.mpas,451 :: 		begin
;electronique_decompteur_002b.mpas,452 :: 		if iOutMode < 2 then
	MOVLW      2
	SUBWF      _iOutMode+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_electronique_decompteur_002b_Output_SaveMode172
;electronique_decompteur_002b.mpas,453 :: 		iValTmp := iOutMode
	MOVF       _iOutMode+0, 0
	MOVWF      Output_SaveMode_iValTmp+0
	GOTO       L_electronique_decompteur_002b_Output_SaveMode173
;electronique_decompteur_002b.mpas,454 :: 		else
L_electronique_decompteur_002b_Output_SaveMode172:
;electronique_decompteur_002b.mpas,455 :: 		iValTmp := 0;
	CLRF       Output_SaveMode_iValTmp+0
L_electronique_decompteur_002b_Output_SaveMode173:
;electronique_decompteur_002b.mpas,456 :: 		EEProm_Write(cEEPromAddrOutMode, iValTmp);
	MOVLW      4
	MOVWF      FARG_EEPROM_Write_address+0
	MOVF       Output_SaveMode_iValTmp+0, 0
	MOVWF      FARG_EEPROM_Write_data_+0
	CALL       _EEPROM_Write+0
;electronique_decompteur_002b.mpas,457 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Output_SaveMode

electronique_decompteur_002b_Data_Load:

;electronique_decompteur_002b.mpas,460 :: 		begin
;electronique_decompteur_002b.mpas,461 :: 		Output_LoadMode;
	CALL       electronique_decompteur_002b_Output_LoadMode+0
;electronique_decompteur_002b.mpas,462 :: 		Display_LoadMode;
	CALL       electronique_decompteur_002b_Display_LoadMode+0
;electronique_decompteur_002b.mpas,463 :: 		Timer_LoadValue;
	CALL       electronique_decompteur_002b_Timer_LoadValue+0
;electronique_decompteur_002b.mpas,464 :: 		Display_Refresh;
	CALL       electronique_decompteur_002b_Display_Refresh+0
;electronique_decompteur_002b.mpas,465 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Data_Load

electronique_decompteur_002b_Data_Save:

;electronique_decompteur_002b.mpas,468 :: 		begin
;electronique_decompteur_002b.mpas,469 :: 		Timer_SaveValue;
	CALL       electronique_decompteur_002b_Timer_SaveValue+0
;electronique_decompteur_002b.mpas,470 :: 		Output_SaveMode;
	CALL       electronique_decompteur_002b_Output_SaveMode+0
;electronique_decompteur_002b.mpas,471 :: 		Display_SaveMode;
	CALL       electronique_decompteur_002b_Display_SaveMode+0
;electronique_decompteur_002b.mpas,472 :: 		end;
	RETURN
; end of electronique_decompteur_002b_Data_Save

_main:

;electronique_decompteur_002b.mpas,474 :: 		begin
;electronique_decompteur_002b.mpas,475 :: 		Main_Init;
	CALL       electronique_decompteur_002b_Main_Init+0
;electronique_decompteur_002b.mpas,476 :: 		Data_Load;
	CALL       electronique_decompteur_002b_Data_Load+0
;electronique_decompteur_002b.mpas,478 :: 		while true do
L__main178:
;electronique_decompteur_002b.mpas,482 :: 		Display_Refresh;
	CALL       electronique_decompteur_002b_Display_Refresh+0
;electronique_decompteur_002b.mpas,485 :: 		if (bT1IntOccured and bTimerRunning) then
	MOVF       _bTimerRunning+0, 0
	ANDWF      _bT1IntOccured+0, 0
	MOVWF      R0+0
	BTFSC      STATUS+0, 2
	GOTO       L__main183
;electronique_decompteur_002b.mpas,487 :: 		bT1IntOccured := false;
	CLRF       _bT1IntOccured+0
;electronique_decompteur_002b.mpas,488 :: 		Timer_Dec;
	CALL       electronique_decompteur_002b_Timer_Dec+0
;electronique_decompteur_002b.mpas,489 :: 		end;
L__main183:
;electronique_decompteur_002b.mpas,492 :: 		if Button(PORTA, 5, 50, 1) and (bSWStart = false) and (iSelIdx = 0) then
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      5
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	MOVLW      1
	MOVWF      FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       _bSWStart+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
	MOVF       _iSelIdx+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main186
;electronique_decompteur_002b.mpas,494 :: 		bSWStart := true;
	MOVLW      255
	MOVWF      _bSWStart+0
;electronique_decompteur_002b.mpas,495 :: 		if bTimerRunning then
	MOVF       _bTimerRunning+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main189
;electronique_decompteur_002b.mpas,497 :: 		Timer_Stop
	CALL       electronique_decompteur_002b_Timer_Stop+0
;electronique_decompteur_002b.mpas,498 :: 		end
	GOTO       L__main190
;electronique_decompteur_002b.mpas,499 :: 		else
L__main189:
;electronique_decompteur_002b.mpas,501 :: 		if bTimerReloaded = false then
	MOVF       _bTimerReloaded+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main192
;electronique_decompteur_002b.mpas,502 :: 		Timer_Reload
	CALL       electronique_decompteur_002b_Timer_Reload+0
	GOTO       L__main193
;electronique_decompteur_002b.mpas,503 :: 		else
L__main192:
;electronique_decompteur_002b.mpas,504 :: 		Timer_Start;
	CALL       electronique_decompteur_002b_Timer_Start+0
L__main193:
;electronique_decompteur_002b.mpas,505 :: 		end;
L__main190:
;electronique_decompteur_002b.mpas,506 :: 		end;
L__main186:
;electronique_decompteur_002b.mpas,507 :: 		if TestBit(PORTA, 5) = 0 then bSWStart := false;
	CLRF       R1+0
	BTFSS      PORTA+0, 5
	GOTO       L__main197
	MOVLW      1
	MOVWF      R1+0
L__main197:
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main195
	CLRF       _bSWStart+0
L__main195:
;electronique_decompteur_002b.mpas,510 :: 		if Button(PORTB, 6, 50, 1) and (bSWSelect = false) and (bTimerRunning = false) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      6
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	MOVLW      1
	MOVWF      FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       _bSWSelect+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
	MOVF       _bTimerRunning+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main199
;electronique_decompteur_002b.mpas,512 :: 		bSWSelect := true;
	MOVLW      255
	MOVWF      _bSWSelect+0
;electronique_decompteur_002b.mpas,513 :: 		if iSelIdx < 5 then
	MOVLW      5
	SUBWF      _iSelIdx+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main202
;electronique_decompteur_002b.mpas,514 :: 		inc(iSelIdx)   // if iSelIdx > 0 then prog mode selected
	INCF       _iSelIdx+0, 1
	GOTO       L__main203
;electronique_decompteur_002b.mpas,515 :: 		else
L__main202:
;electronique_decompteur_002b.mpas,516 :: 		iSelIdx := 0;  // exit prog mode and return to normal mode
	CLRF       _iSelIdx+0
L__main203:
;electronique_decompteur_002b.mpas,518 :: 		cIdxSelNormal : begin      // exit prog mode and return to normal mode
	MOVF       _iSelIdx+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main207
;electronique_decompteur_002b.mpas,519 :: 		bTimerReloaded := true;
	MOVLW      255
	MOVWF      _bTimerReloaded+0
;electronique_decompteur_002b.mpas,520 :: 		Data_Save;  // store new timer value and output mode to EEProm
	CALL       electronique_decompteur_002b_Data_Save+0
;electronique_decompteur_002b.mpas,521 :: 		end;
	GOTO       L__main204
L__main207:
;electronique_decompteur_002b.mpas,524 :: 		cIdxSelHour : Timer_Reload; // allow change last saved value
	MOVF       _iSelIdx+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main210
	CALL       electronique_decompteur_002b_Timer_Reload+0
	GOTO       L__main204
L__main210:
L__main204:
;electronique_decompteur_002b.mpas,528 :: 		end;
L__main199:
;electronique_decompteur_002b.mpas,529 :: 		if TestBit(PORTB, 6) = 0 then bSWSelect := false;
	CLRF       R1+0
	BTFSS      PORTB+0, 6
	GOTO       L__main214
	MOVLW      1
	MOVWF      R1+0
L__main214:
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main212
	CLRF       _bSWSelect+0
L__main212:
;electronique_decompteur_002b.mpas,532 :: 		if Button(PORTB, 5, 50, 1) and (bSWInc = false) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      5
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	MOVLW      1
	MOVWF      FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       _bSWInc+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main216
;electronique_decompteur_002b.mpas,534 :: 		bSWInc := true;
	MOVLW      255
	MOVWF      _bSWInc+0
;electronique_decompteur_002b.mpas,536 :: 		cIdxSelNormal : nop;
	MOVF       _iSelIdx+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main221
	NOP
	GOTO       L__main218
L__main221:
;electronique_decompteur_002b.mpas,537 :: 		cIdxSelDispMode : Display_SetMode(iDispMode xor 1);
	MOVF       _iSelIdx+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main224
	MOVLW      1
	XORWF      _iDispMode+0, 0
	MOVWF      FARG_Display_SetMode_Val+0
	CALL       electronique_decompteur_002b_Display_SetMode+0
	GOTO       L__main218
L__main224:
;electronique_decompteur_002b.mpas,538 :: 		cIdxSelOutMode : Output_SetMode(iOutMode xor 1);
	MOVF       _iSelIdx+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main227
	MOVLW      1
	XORWF      _iOutMode+0, 0
	MOVWF      FARG_Output_SetMode_Val+0
	CALL       electronique_decompteur_002b_Output_SetMode+0
	GOTO       L__main218
L__main227:
;electronique_decompteur_002b.mpas,539 :: 		cIdxSelHour : if iHour < 99 then inc(iHour) else iHour := 0;
	MOVF       _iSelIdx+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main230
	MOVLW      99
	SUBWF      _iHour+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main232
	INCF       _iHour+0, 1
	GOTO       L__main233
L__main232:
	CLRF       _iHour+0
L__main233:
	GOTO       L__main218
L__main230:
;electronique_decompteur_002b.mpas,540 :: 		cIdxSelMin : if iMin < 59 then inc(iMin) else iMin := 0;
	MOVF       _iSelIdx+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main236
	MOVLW      59
	SUBWF      _iMin+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main238
	INCF       _iMin+0, 1
	GOTO       L__main239
L__main238:
	CLRF       _iMin+0
L__main239:
	GOTO       L__main218
L__main236:
;electronique_decompteur_002b.mpas,541 :: 		cIdxSelSec : if iSec < 59 then inc(iSec) else iSec := 0;
	MOVF       _iSelIdx+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main242
	MOVLW      59
	SUBWF      _iSec+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__main244
	INCF       _iSec+0, 1
	GOTO       L__main245
L__main244:
	CLRF       _iSec+0
L__main245:
	GOTO       L__main218
L__main242:
L__main218:
;electronique_decompteur_002b.mpas,543 :: 		end;
L__main216:
;electronique_decompteur_002b.mpas,544 :: 		if TestBit(PORTB, 5) = 0 then bSWInc := false;
	CLRF       R1+0
	BTFSS      PORTB+0, 5
	GOTO       L__main249
	MOVLW      1
	MOVWF      R1+0
L__main249:
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main247
	CLRF       _bSWInc+0
L__main247:
;electronique_decompteur_002b.mpas,547 :: 		if Button(PORTB, 4, 50, 1) and (bSWDec = false) then
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      4
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	MOVLW      1
	MOVWF      FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       _bSWDec+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__main251
;electronique_decompteur_002b.mpas,549 :: 		bSWDec := true;
	MOVLW      255
	MOVWF      _bSWDec+0
;electronique_decompteur_002b.mpas,551 :: 		cIdxSelNormal : nop;
	MOVF       _iSelIdx+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main256
	NOP
	GOTO       L__main253
L__main256:
;electronique_decompteur_002b.mpas,552 :: 		cIdxSelDispMode : Display_SetMode(iDispMode xor 1);
	MOVF       _iSelIdx+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main259
	MOVLW      1
	XORWF      _iDispMode+0, 0
	MOVWF      FARG_Display_SetMode_Val+0
	CALL       electronique_decompteur_002b_Display_SetMode+0
	GOTO       L__main253
L__main259:
;electronique_decompteur_002b.mpas,553 :: 		cIdxSelOutMode : Output_SetMode(iOutMode xor 1);
	MOVF       _iSelIdx+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main262
	MOVLW      1
	XORWF      _iOutMode+0, 0
	MOVWF      FARG_Output_SetMode_Val+0
	CALL       electronique_decompteur_002b_Output_SetMode+0
	GOTO       L__main253
L__main262:
;electronique_decompteur_002b.mpas,554 :: 		cIdxSelHour : if iHour > 0 then dec(iHour) else iHour := 99;
	MOVF       _iSelIdx+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main265
	MOVF       _iHour+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L__main267
	DECF       _iHour+0, 1
	GOTO       L__main268
L__main267:
	MOVLW      99
	MOVWF      _iHour+0
L__main268:
	GOTO       L__main253
L__main265:
;electronique_decompteur_002b.mpas,555 :: 		cIdxSelMin : if iMin > 0 then dec(iMin) else iMin := 59;
	MOVF       _iSelIdx+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main271
	MOVF       _iMin+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L__main273
	DECF       _iMin+0, 1
	GOTO       L__main274
L__main273:
	MOVLW      59
	MOVWF      _iMin+0
L__main274:
	GOTO       L__main253
L__main271:
;electronique_decompteur_002b.mpas,556 :: 		cIdxSelSec : if iSec > 0 then dec(iSec) else iSec := 59;
	MOVF       _iSelIdx+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main277
	MOVF       _iSec+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L__main279
	DECF       _iSec+0, 1
	GOTO       L__main280
L__main279:
	MOVLW      59
	MOVWF      _iSec+0
L__main280:
	GOTO       L__main253
L__main277:
L__main253:
;electronique_decompteur_002b.mpas,558 :: 		end;
L__main251:
;electronique_decompteur_002b.mpas,559 :: 		if TestBit(PORTB, 4) = 0 then bSWDec := false;
	CLRF       R1+0
	BTFSS      PORTB+0, 4
	GOTO       L__main284
	MOVLW      1
	MOVWF      R1+0
L__main284:
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main282
	CLRF       _bSWDec+0
L__main282:
;electronique_decompteur_002b.mpas,561 :: 		Delay_us(10);
	MOVLW      3
	MOVWF      R13+0
L__main285:
	DECFSZ     R13+0, 1
	GOTO       L__main285
;electronique_decompteur_002b.mpas,562 :: 		end;
	GOTO       L__main178
;electronique_decompteur_002b.mpas,563 :: 		end.
	GOTO       $+0
; end of _main
